Webpack 3 and babel-polyfill issue at runtime

Thanks for Webpack 3. its really awesome.

Do you want to request a feature or report a bug?

Bug

What is the current behavior?

  • Build is fine.
  • At runtime I get the following error
Uncaught ReferenceError: regeneratorRuntime is not defined
    at Object.<anonymous> (bundle.js:3325)
    at __webpack_require__ (bundle.js:20)
    at bundle.js:63
    at bundle.js:66

If the current behavior is a bug, please provide the steps to reproduce.

Repro repo with steps: https://github.com/gyandeeps/webpack3-issue

  • Maybe this is not an issue with webpack and we have to change on how we consume babel-polyfill.
  • I wanted to share this issue here to see what can be done.
  • I am thinking other people might have this issue.

Please mention other relevant information such as the browser version, Node.js version, webpack version and Operating System.

Node: 8
OS: Windows 7
Webpack: 3.0.0

Author: Fantashit

1 thought on “Webpack 3 and babel-polyfill issue at runtime

Comments are closed.